## r-cran-getoptlong 1.0.5+dfsg

=== DESCRIPTION ===
Package: GetoptLong
Type: Package
Title: Parsing Command-Line Arguments and Simple Variable Interpolation
Version: 1.0.5
Date: 2020-12-15
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.3.0)
Imports: rjson, GlobalOptions (>= 0.1.0), methods, crayon
Suggests: testthat (>= 1.0.0), knitr, markdown, rmarkdown
VignetteBuilder: knitr
Description: This is a command-line argument parser which wraps the 
    powerful Perl module Getopt::Long and with some adaptations for easier use
	in R. It also provides a simple way for variable interpolation in R.
URL: https://github.com/jokergoo/GetoptLong
SystemRequirements: Perl, Getopt::Long
License: MIT + file LICENSE
NeedsCompilation: no
Packaged: 2020-12-15 14:31:20 UTC; jokergoo
Repository: CRAN
Date/Publication: 2020-12-15 15:50:02 UTC

## r-cran-getoptlong 1.0.2+dfsg

=== debian/changelog ===
r-cran-getoptlong (1.0.2+dfsg-2) unstable; urgency=medium

  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 17:43:51 +0200

r-cran-getoptlong (1.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931049)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jul 2020 15:11:40 +0200

=== debian/control ===
Source: r-cran-getoptlong
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rjson,
               r-cran-globaloptions,
               r-cran-crayon
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong.git
Homepage: https://cran.r-project.org/package=GetoptLong
Rules-Requires-Root: no

Package: r-cran-getoptlong
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R parsing command-Line arguments and variable interpolation
 This is yet another command-line argument parser which wraps the
 powerful Perl module Getopt::Long and with some adaptation for easier use
 in R. It also provides a simple way for variable interpolation in R.

## r-cran-getoptlong 1.0.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find . -type f -name "*.Rmd" -o -name "*.pm" | xargs chmod -x

## r-cran-getoptlong 1.0.5+dfsg

=== debian/changelog ===
r-cran-getoptlong (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 20:25:40 +0100

r-cran-getoptlong (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 11:24:28 +0100

r-cran-getoptlong (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 11:54:13 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rjson,
                r-cran-globaloptions,
                r-cran-crayon
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong.git
 Homepage: https://cran.r-project.org/package=GetoptLong

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/GetoptLong_([-\d.]*)\.tar\.gz

## r-cran-getoptlong 1.1.0+dfsg

=== DESCRIPTION ===
Package: GetoptLong
Type: Package
Title: Parsing Command-Line Arguments and Simple Variable Interpolation
Version: 1.1.0
Date: 2025-11-28
Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                  comment = c('ORCID'="0000-0002-7395-8709"))
Depends: R (>= 4.0.0)
Imports: rjson, GlobalOptions (>= 0.1.0), methods, crayon
Suggests: testthat (>= 1.0.0), knitr, markdown, rmarkdown
VignetteBuilder: knitr
Description: This is a command-line argument parser which wraps the 
    powerful Perl module Getopt::Long and with some adaptations for easier use
	in R. It also provides a simple way for variable interpolation in R.
URL: https://github.com/jokergoo/GetoptLong
SystemRequirements: Perl, Getopt::Long
License: MIT + file LICENSE
NeedsCompilation: no
Packaged: 2025-11-28 15:13:36 UTC; guz
Author: Zuguang Gu [aut, cre] (ORCID: <https://orcid.org/0000-0002-7395-8709>)
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Repository: CRAN
Date/Publication: 2025-11-28 15:40:02 UTC

=== debian/changelog ===
r-cran-getoptlong (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 15:41:22 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                r-base-dev,
                r-cran-rjson,
                r-cran-globaloptions,
-               r-cran-crayon
-Standards-Version: 4.5.1
+               r-cran-crayon,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-getoptlong.git
 Homepage: https://cran.r-project.org/package=GetoptLong

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 1.0.0),
        r-cran-knitr,
        r-cran-markdown,
        r-cran-rmarkdown
Restrictions: allow-stderr
